Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Stop Blocking Snapshot

Stop a blocking snapshot for the specified source.

This endpoint stops an in-progress blocking snapshot by restarting the connector. The snapshot will be marked as cancelled and streaming will resume.

POST/sources/stop_blocking_snapshot
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
source_idstringrequired
topic_namesstring[] | null
Show properties
Any of:
string[]
Array of string
string
null
null
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST 'https://api.streamkap.com/sources/stop_blocking_snapshot' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "source_id": "string",
  "topic_names": [
    "string"
  ]
}'
Response
Successful Response